"use strict";
Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "getPlugins", {
  enumerable: true,
  get: function() {
    return getPlugins;
  }
});
const _babelpresetbase = require("@modern-js/babel-preset-base");
const _alias = require("./alias");
const _env = require("./env");
const _globalVar = require("./globalVar");
const getPlugins = (libPresetOption) => {
  const chain = (0, _babelpresetbase.createBabelChain)();
  const finalPlugins = [];
  if (libPresetOption.globalVars) {
    finalPlugins.push((0, _globalVar.globalVarsPlugin)(libPresetOption.globalVars));
  }
  if (libPresetOption.envVars) {
    finalPlugins.push((0, _env.envPlugin)(libPresetOption.envVars));
  }
  if (libPresetOption.alias) {
    finalPlugins.push((0, _alias.aliasPlugin)(libPresetOption.alias));
  }
  for (const plugin of finalPlugins) {
    const [name, opt] = plugin;
    chain.plugin(name).use(require.resolve(name), [
      opt
    ]);
  }
  return chain;
};
